Page MenuHomePhabricator

Delete als.wik(ibooks|iquote|tionary), mo.wik(ipedia|tionary)
Closed, ResolvedPublic

Description

From https://wikitech.wikimedia.org/wiki/Delete_a_wiki:

  • Remove the wiki from wikimedia's wiki configuration:
    • Remove the wiki from all.dblist and any other dblists it exists in
    • Add the wiki to deleted.dblist
    • Remove all other references from CommonSettings and InitialiseSettings etc.
    • Remove the logo from w/static/images/project-logos
  • Delete privacy sensitive data (cu_changes table, rc_ip field of recentchanges)
  • Cleanup wiki replica data T181925: Remove als.wik(ibooks|iquote|tionary), mo.wik(ipedia|tionary) views from replicas
  • Clean up the centralauth database. If you don't do this, the result is T30393. For small wikis it should be possible to do this manually:
    • Run sql centralauth
    • SELECT COUNT(*) FROM localnames WHERE ln_wiki='wikidb';
    • If this is less than say 20,000:
      • DELETE FROM localuser WHERE lu_wiki='wikidb';
      • DELETE FROM localnames WHERE ln_wiki='wikidb';
  • Likewise, the globalimagelinks table can be cleaned up:
    • Run sql commonswiki
    • DELETE FROM globalimagelinks WHERE gil_wiki='wikidb';
  • Any jobs in the job queue should be deleted via wmfManageJobs.php in WikimediaMaintenance/. This avoids T171371.

If the Board has approved the deletion of them, why don't we simply delete them the old way? Jesus... I feel this is going to be the easiest solution to this problem. After they are deleted we can set up redirects later from mo.* to ro.*.

MariaDB [centralauth_p]> SELECT COUNT(*) FROM localuser WHERE lu_wiki='mowiki';
+----------+
| COUNT(*) |
+----------+
|     2157 |
+----------+
1 row in set (0.01 sec)
MariaDB [centralauth_p]> SELECT COUNT(*) FROM localuser WHERE lu_wiki='mowiktionary';
+----------+
| COUNT(*) |
+----------+
|      401 |
+----------+
1 row in set (0.01 sec)

This is way below the limit set in the Wikitech guidelines. As for the extra good reason, the Board approves this, which its the ultimate manager of the Foundation and its projects, so can we just do this?

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2017, 10:47 AM
MarcoAurelio renamed this task from Delete mo.wikipedia and mo.wiktionary to Delete mo.wikipedia and mo.wiktionary; set redirects to ro.wikipedia and ro.wiktionary afterwards.Dec 3 2017, 10:48 AM
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 394846 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Delete mowiki and mowiktionary

https://gerrit.wikimedia.org/r/394846

Strainu added a subscriber: Strainu.Dec 3 2017, 1:06 PM
Ebe123 added a subscriber: Ebe123.Dec 3 2017, 11:21 PM
revi added a subscriber: revi.Dec 6 2017, 9:46 AM
MarcoAurelio renamed this task from Delete mo.wikipedia and mo.wiktionary; set redirects to ro.wikipedia and ro.wiktionary afterwards to Delete mo.wikipedia and mo.wiktionary.Dec 10 2017, 10:42 AM
EddieGP updated the task description. (Show Details)Dec 12 2017, 3:00 PM
EddieGP updated the task description. (Show Details)Dec 12 2017, 4:42 PM
EddieGP updated the task description. (Show Details)
EddieGP triaged this task as High priority.Dec 12 2017, 4:47 PM
EddieGP added a subscriber: EddieGP.

The URIs are redirected, the cleanup didn't happen yet. This is a weird state for the wikis, which should not last until the next year. This should be resolved within this week because of the deployment freeze next week.

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptDec 12 2017, 4:49 PM

We should probably do the same with als.* sister projects.

EddieGP renamed this task from Delete mo.wikipedia and mo.wiktionary to Delete als.wik(ibooks|iquote|tionary), mo.wik(ipedia|tionary).Dec 13 2017, 11:43 AM

We should probably do the same with als.* sister projects.

Don't be greedy, we don't want to delete als.wikipedia :P But right, I've changed the task titles to reflect that.

EddieGP added a subscriber: greg.Dec 13 2017, 3:15 PM

@greg: I've just discussed with Željko how to best proceed with this task. Decision was that we'd better not do it in SWAT and get an deployment window for it instead. He suggested that you, Antoine or Chad might be confident about proceeding with the deletion. Could you help us to identify

  1. when to deploy it and
  2. whom to beg to do it for us?

It's weird if these Wikis redirect but aren't deleted (there's a reason the deleting process involves messing with centralauth, globalimages, jobqueue and alike things). It'd be really nice if we could sort that out before the weekend. If that's not possible we'll just have to hope that this doesn't break anything until we can finally do it in january.

Thanks :)

greg added a subscriber: demon.Dec 18 2017, 10:02 PM
  1. when to deploy it and

After the new year now, sorry about the delay but we're in a 2 week deployment freeze (due to the holidays)

  1. whom to beg to do it for us?

@demon :)

I've emailed @greg so he can add a new window on Deployments to get this done. I explicitly requested a window to get https://gerrit.wikimedia.org/r/#/c/394846/ merged. Is there anything else that needs to be done before that? And after? Thanks.

I've emailed @greg so he can add a new window on Deployments to get this done.

I had asked greg on irc (http://wm-bot.wmflabs.org/logs/%23wikimedia-releng/20171218.txt):

[22:07:09] <eddiegp>	 greg-g: Any specific date/time for the window or just "ping Chad and do it whenever he has time"? :)
[22:08:03] <greg-g>	 eddiegp: that's how he works best, I've found :P
[22:08:34] <eddiegp>	 greg-g: Fine with me ;)

Sorry for not mentioning that on the task, I'm going to ping chad on irc and see when he has time.

Is there anything else that needs to be done before that? And after? Thanks.

Nothing before, as far as I can see. Afterwards, the steps outlined in https://wikitech.wikimedia.org/wiki/Delete_a_wiki
There's one additional thing I've been thinking about: In the patch attached to this task, we did not remove these wikis from interwiki.php, as it says to have been automatically generated by dumpInterwiki.php. I guess we should run said script afterwards(?) and get the new interwiki.php back into the repo + deployed. I only have a vague idea of what this file does or where it is generated/how it is usually deployed though, so maybe the order differs or I'm completely wrong about that.

And after we're done, we should probably see where we differed from the documentation page mentioned above and update it.

Change 394846 merged by jenkins-bot:
[operations/mediawiki-config@master] Delete alswik(ibooks|iquote|tionary), mowik(ipedia|tionary)

https://gerrit.wikimedia.org/r/394846

demon updated the task description. (Show Details)Jan 7 2018, 7:33 PM
demon updated the task description. (Show Details)
demon updated the task description. (Show Details)Jan 7 2018, 8:07 PM
demon added a comment.Jan 7 2018, 8:13 PM
  • recentchanges table: no entries on any of the 5 wikis
  • cu_changes: 2 entries in mowiki; 1 in alswikiquote, other 3 empty
demon updated the task description. (Show Details)Jan 7 2018, 8:13 PM
EddieGP updated the task description. (Show Details)Jan 7 2018, 8:23 PM
EddieGP closed this task as Resolved.Jan 7 2018, 9:01 PM
EddieGP assigned this task to demon.

2018-01-07 19:03:06 no_justification | Hauskatze: I'm bored lets do it now

Thanks to Chad, we managed to get this done today. And we even updated the docs! :-)